
Redmine - Feature #1040

Global wiki

2008-04-10 20:20 - Carl Nygard

Status: Reopened Start date: 2008-04-10

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be very helpful to have a global wiki for generalized instructions.  The main home page should be the global wiki.  The

current functionality of news, recent projects, etc. could possibly be implemented with macros() in the wiki, so could be available

globally.  You could extend this paradigm (idiom, design, convention?) to all the project-specific main pages, and give the managers

of each some ability to customize their own main page.

This would be extremely useful in our own situation, where we are using Redmine to manage diverse projects across our engineering

group, so we have some need of a "global" wiki area for generalized policy docs, user guides, procedures, etc.

Related issues:

Related to Redmine - Feature #3048: Central Wiki, FAQ, Documents, etc. for di... New 2009-03-25

Related to Redmine - Feature #1982: Extend homepage with forums and admin pages New 2008-10-02

Related to Redmine - Feature #26554: Select Wiki Page as Project Start Page New

Is duplicate of Redmine - Feature #907: Add global Wiki Closed 2008-03-21

Has duplicate Redmine - Feature #381: general wiki for the whole site Closed

Has duplicate Redmine - Feature #6027: Global wiki and forum Closed 2010-08-03

Has duplicate Redmine - Feature #7642: global wiki interface Closed 2011-02-17

History

#1 - 2008-04-10 20:35 - Maxim Krušina

+1   For now, we're using wiki of one project as global wiki, and I added link to whis Wiki to main top menu, with text "Wiki", but it's just a workaround

hack ;)

#2 - 2008-04-25 01:51 - Lane Roathe

+1 as I'm having to create some temporary hacks in order to present company wide information, like programming guidelines, vacation policies, etc.

on the Home page. It would be great to have the ability for any module to be "site wide", including ability for existing permission settings, etc. these

modules have.

#3 - 2008-04-28 09:58 - Tommy Jensen

+1

#4 - 2008-05-07 20:17 - Maximilian Errath

+1

#5 - 2008-05-15 03:53 - mao mao

+1

#6 - 2008-05-16 15:11 - Ronie Henrich

+1

#7 - 2008-06-13 23:42 - Yanoksy Durañona Yero

+1

#8 - 2008-08-13 08:33 - Patrick Oppenlander

+1
#9 - 2008-08-17 14:07 - Toni Kerschbaum

+1

Would be great. That way, info that is meant to be company-wide could be published easily, without a need for workarounds.

#10 - 2008-10-09 09:15 - Ingmar Heinrich

+1 from me

#11 - 2008-10-13 10:33 - Anonymous

+1

#12 - 2008-10-13 17:53 - Daniel Feliciano Branco

+1

#13 - 2008-11-11 10:40 - Jean-Philippe Lang

- Target version deleted (0.8)

#14 - 2008-11-19 06:49 - Andy Liu

+1

Would be great.

#15 - 2008-12-29 00:54 - Denys Rogovchenko

+1000 it would be really great, because a lot of companies hasbig amount projects which are similary... and it so stupid idea to have a lot of

independent wiki... Also it good idea to have global file storage, global documents and global forum. I created for that separate project, but it not so

good idea because it's not pure project, and it hard to find for people within big amount of real projects in project list... So please make this

functionality, users really need it.

#16 - 2009-01-12 23:24 - Maxim Krušina

+1.3 :)

we're still using menu hack which point's to one project's wiki... no nice solution

#17 - 2009-01-12 23:25 - Maxim Krušina

- Status changed from New to Closed

this is duplicate to #1040

#18 - 2009-01-12 23:26 - Maxim Krušina

- Status changed from Closed to Reopened

ssry, I din't know that linked issue will close both original and duplicate ;(

#19 - 2009-01-12 23:49 - Jean-Philippe Lang

Maxim: closing the duplicate won't close the original. But closing the original will close the duplicate.

#20 - 2009-01-12 23:53 - Mischa The Evil

Maxim Krušina wrote:

ssry, I din't know that linked issue will close both original and duplicate ;(

 /me ranting out loud while being a bit corny {

He should know better... He should have been known to the automatic-duplicate-closure behaviour of Redmine since it was explained in-depth by

J-PL in this forum-thread started by .... Himself...

}

:-)

#21 - 2009-01-13 10:01 - Maxim Krušina

JPL> Ach so, thnx! ;)

Mischa> There should be no "He should know better" in good app, all must be self-explaining. I just read again forum you sugested, but I think it
should be much moe clear how the mechanismus work. All we are heavy Redmine users and even it's a bit confusing now, so some fine-tuning will

help!

I bet there will be lot of other users a bit frustrated about this.

In other words: functionality is just OK, but it should be somehow better communicated and self-explaning...

#22 - 2009-01-13 11:33 - Jens Berlips

+1

#23 - 2009-04-10 23:35 - Kirill Ponomarev

+1 It would be very helpful for me too.

#24 - 2009-04-11 09:11 - Paul Rivier

I would implement this using the newly available unlimited project nesting, and thinking this global wiki as being "the wiki of the root project". Then we

can discuss common trees behaviour like inheritance and accumulation. For example, "wiki inheritance" would allow a child project to reference a

wikipage of a parent project using only the name of the page, i.e without mentioning the project name. Dynamic resolution would look parents project

until it finds the page. I guess this is pretty much what you want for a global wiki

#25 - 2009-04-11 20:42 - Kirill Ponomarev

Paul Rivier wrote:

I would implement this using the newly available unlimited project nesting, ...

 It is a good idea!

#26 - 2009-09-24 10:50 - Martial SERON

+1

#27 - 2010-07-21 19:21 - Ryan Rangel

Without this feature we will need to setup a completely seperate Wiki to hold general company information.

+1

#28 - 2010-08-11 00:58 - Alex Last

+1 please

#29 - 2010-08-25 22:47 - Željko Trogrlić

+1

#30 - 2010-09-02 09:45 - Hans Schmidt

+1

#31 - 2010-09-07 09:38 - Nowa Zhu

+1

#32 - 2010-09-24 13:20 - Sebastian M.

+1

#33 - 2010-11-25 17:57 - Valery Victorovsky

any news?

#34 - 2011-02-17 15:04 - Brice Beaumesnil

+1

#35 - 2011-02-18 11:17 - Attila Antal

+1 Good idea! The text could be 'Global Wiki'.

#36 - 2011-02-28 18:52 - Florian Breitwieser

+ 1. We have several projects which all should have a common Wiki.
#37 - 2011-07-13 10:16 - Pawel Orzechowski

+1

#38 - 2011-09-21 15:52 - K. Scott Tripp

+1.  But as Feature #6027 mentions a global forum is just as important.

#39 - 2011-09-22 12:15 - Frode Nilsen

+1

We currently use a "General" project, but global wiki/news/forum would be more elegant.

#40 - 2012-04-20 15:51 - Carl Fürstenberg

Any news? <aol>me too</aol>

#41 - 2013-01-18 22:26 - nijee taylor

+1

#42 - 2013-03-18 13:27 - Dipan Mehta

+1. This is VERY VERY important. Please have it.

#43 - 2013-04-10 18:03 - Dipan Mehta

Add related - #1982

#44 - 2014-03-12 14:57 - Christian Dornbusch

+1

#45 - 2014-04-01 08:27 - wang yan

+1.

#46 - 2014-04-15 22:34 - Dev Full stack

+1

#47 - 2014-06-24 12:48 - Benjamin Agger

+1

#48 - 2014-08-28 20:23 - Eduardo Gonzalez

+1

#49 - 2014-12-18 15:51 - Daniel Feliciano Branco

+1

#50 - 2015-05-05 11:37 - Miroslav Zaťko

+1

#51 - 2015-06-26 12:54 - Mattias Vannergård

+1

#52 - 2015-12-11 09:19 - Haifeng Wang

+1

#53 - 2016-11-24 15:03 - ale dp

+1

#54 - 2016-12-27 21:03 - Ninja Ya

+1

#55 - 2016-12-27 21:04 - Oleksandr Berg
+1

#56 - 2017-05-06 11:50 - Ricky Liu

+1

#57 - 2017-06-12 02:33 - jmnote kim

+1

#58 - 2017-08-20 12:21 - Toshi MARUYAMA

- Related to deleted (Feature #13722: setup wiki page with default page)

#59 - 2017-08-20 12:21 - Toshi MARUYAMA

- Related to Feature #26554: Select Wiki Page as Project Start Page added

#60 - 2018-01-02 13:02 - Michael Gerz

+1 (is anyone actually counting them?)

#61 - 2018-06-09 03:48 - Yasukazu Nagatomi

+1

#62 - 2018-11-26 09:29 - Michał Polanik

+1

#63 - 2020-07-30 09:05 - Mizuki ISHIKAWA

- File draft-feature-1040.patch added

I've attached a patch that adds a global wiki.

The test is a draft version not yet written.

Any feedback is welcome.

I would be particularly pleased if you could review if you have the proper permissions to view the global wiki.

#64 - 2021-03-18 23:05 - Timo Schüring

Hi Mizuki, thank you very much for your effort,

I will try it the next weeks but I have to understand the patch first,

which will take a bit cause I am new to Redmine.

#65 - 2021-03-19 02:30 - Mizuki ISHIKAWA

Timo Schüring wrote:

Hi Mizuki, thank you very much for your effort,

I will try it the next weeks but I have to understand the patch first,

which will take a bit cause I am new to Redmine.

 Thank you.

Conflict occurred when patching the latest Redmine trunk (r20825).

I will attach the fixed patch.

These patches are developed to be applied to Redmine under development (trunk, r20825) , so it may not be applicable to released Redmine such as

Redmine 4.1.

#66 - 2021-03-19 02:31 - Mizuki ISHIKAWA

- File draft-feature-1040-r20825.patch added

#67 - 2021-03-20 00:03 - Timo Schüring

Thank you again, Mizuki-san,

we use Redmine so far on our Synology NAS with an old version based on

a Docker package. So I guess I have to adapt the patch anyway.

And/Or I have to learn how to get the development patch running.
Environment:

Redmine version                3.3.10.stable

Ruby version                   2.3.8-p459 (2018-10-18) [x86_64-linux-gnu]

Rails version                  4.2.11.1

Environment                    production

Database adapter               Mysql2

#68 - 2021-05-04 11:28 - keineahnung 2345

Thank you, Mizuki-san,

I managed to do some trivial changes to make it compilable on Redmine 4.1.1 and 4.1.2: 

https://gist.github.com/keineahnung2345/4f5eee59079128645cad8aa88016fa77/140e02176ad78bf45ab67dbb8de14c0487cf878f.

But later I found that there are permission problems or redirection path problems on some buttons(new button not showing, internal server error after

editing, internal server error after deleting, rename button not working). So I made some changes to make them work as expected: 

https://gist.github.com/keineahnung2345/4f5eee59079128645cad8aa88016fa77/240d94bce8017f3e52cfce6f9101f39685c91888.

Could you please check the revised code and check if those problems also happen on truck r20825? Thanks.

Updated patch for redmine 5.0.5: https://gist.github.com/keineahnung2345/5431ffbde8f62698533c3ad5d9ffb840

Files

draft-feature-1040.patch 24.1 KB 2020-07-30 Mizuki ISHIKAWA

draft-feature-1040-r20825.patch 23.8 KB 2021-03-19 Mizuki ISHIKAWA
